package com.mcwl.communityCenter.service;

import com.mcwl.communityCenter.domain.ChatMessage;
import org.springframework.web.socket.WebSocketSession;

import java.io.IOException;
import java.util.List;

public interface HumanService {
    void transferToHuman(String userId, WebSocketSession session);

    void handleHumanMessage(String userId, String message) throws IOException;

    void transferToAgent(String sessionId, List<ChatMessage> history);
}
